import type { _AVMetricPlayerItemRateChangeEvent } from "./AVMetricPlayerItemRateChangeEvent.js";
export declare class _AVMetricPlayerItemSeekDidCompleteEvent extends _AVMetricPlayerItemRateChangeEvent {
    static alloc(): _AVMetricPlayerItemSeekDidCompleteEvent;
    static new(): _AVMetricPlayerItemSeekDidCompleteEvent;
    init(): _AVMetricPlayerItemSeekDidCompleteEvent;
    /** Returns whether the seek was performed within the available buffer. */
    didSeekInBuffer(): boolean;
}
